
///////////////////////////////////////////////////////////////////////////////
// Copyright 1995 by Potomac Software, Inc. Use of this material is subject to
// the terms and conditions of the software license agreement.

#ifndef __WEBLIBEX_H__
#define __WEBLIBEX_H__

#include <windows.h>

#ifdef __cplusplus 
extern "C" {
#endif 

#ifdef WEBLIB_NO_INLINE

DWORD WINAPI WLNGetTransaction(LPARAM lParam);
LPSTR WINAPI WLNGetProgressString(LPARAM lParam);
DWORD WINAPI WLNGetProgressValue(LPARAM lParam);
DWORD WINAPI WLNGetProgressMaximum(LPARAM lParam);
DWORD WINAPI WLNGetWindow(LPARAM lParam);
LPSTR WINAPI WLNGetURL(LPARAM lParam);
LPSTR WINAPI WLNGetMIMEType(LPARAM lParam);
LPSTR WINAPI WLNGetReferrer(LPARAM lParam);
DWORD WINAPI WLNGetFlags(LPARAM lParam);
LPSTR WINAPI WLNGetSaveFile(LPARAM lParam);
LPSTR WINAPI WLNGetFormData(LPARAM lParam);
DWORD WINAPI WLNGetX(LPARAM lParam);
DWORD WINAPI WLNGetY(LPARAM lParam);
DWORD WINAPI WLNGetWidth(LPARAM lParam);
DWORD WINAPI WLNGetHeight(LPARAM lParam);
LPSTR WINAPI WLNGetFileName(LPARAM lParam);
UINT WINAPI WLNGetButtonID(LPARAM lParam);

#endif

BOOL WINAPI WLAddToolbarButtonByHandle(HTOOLBAR hToolbar,UINT nID,int nIdx,
	LPCSTR lpszText,HBITMAP hBitmap,HBITMAP hBitmapSel,HBITMAP hBitmapFocus,
		HBITMAP hBitmapDisabled,BOOL bCopy);

BOOL WINAPI WLAddToolbarButtonByFile(HTOOLBAR hToolbar,UINT nID,int nIdx,
	LPCSTR lpszText,LPCSTR lpszBitmapFile,LPCSTR lpszBitmapSelFile,
		LPCSTR lpszBitmapFocusFile,LPCSTR lpszBitmapDisabledFile);

BOOL WINAPI WLAddToolbarButtonByID(HTOOLBAR hToolbar,UINT nID,int nIdx,
	LPCSTR lpszText,HINSTANCE hInstance,UINT nBitmap,UINT nBitmapSel,UINT nBitmapFocus,
		UINT nBitmapDisabled);

BOOL WINAPI WLAddToolbarButtonByName(HTOOLBAR hToolbar,UINT nID,int nIdx,
	LPCSTR lpszText,HINSTANCE hInstance,LPCSTR lpszBitmap,LPCSTR lpszBitmapSel,
		LPCSTR lpszBitmapFocus,LPCSTR lpszBitmapDisabled);

#ifdef __cplusplus 
}
#endif

#ifdef WEBLIB_COPY_BITMAP
BOOL _CopyBitmap(HBITMAP hSrcBitmap,CBitmap &bitmapDest);
#endif

#endif
